Subject: bug#69254: 14.0.2; outline-hide-body doesn't work when called in LaTeX-mode-hook

From: Arash Esbati <[email-masked]>
Date: Thu, 22 Feb 2024 09:56:47 +0100

Hi Keita

Ikumi Keita <[email-masked]> writes:

> In general, I suppose that emacs doesn't offer a neat framework to deal
> with this type of competition between the order of setting variable and
> running subsidiary functionality. Particularly, (La)TeX is (IMHO)
> exceptional in that the users can define arbitrary sectioning commands.
> which makes it difficult to prepare for outline mode.
>
> Maybe I close this bug as "won'tfix" type :-(

Maybe we revert the change for bug #65750 and declare that one as "won't
fix".  If we have to find a compromise, I vote for supporting

  (add-hook 'LaTeX-mode-hook (lambda()
                               (outline-minor-mode 1)
                               (outline-hide-body)))

which is something that other modes support as well.

Best, Arash